Apply by doing:
	cd /usr/src
	patch -p0 < 005_libz.patch

And then rebuild and install libz:
	cd lib/libz
	make obj
	make depend
	make && make install

Index: lib/libz/inftrees.h
===================================================================
RCS file: /home/cvs/openbsd/src/lib/libz/inftrees.h,v
retrieving revision 1.4
diff -u -r1.4 inftrees.h
--- lib/libz/inftrees.h	16 Dec 2003 22:33:02 -0000	1.4
+++ lib/libz/inftrees.h	20 Jul 2005 13:31:51 -0000
@@ -1,6 +1,6 @@
 /*	$OpenBSD: inftrees.h,v 1.4 2003/12/16 22:33:02 henning Exp $	*/
 /* inftrees.h -- header to use inftrees.c
- * Copyright (C) 1995-2003 Mark Adler
+ * Copyright (C) 1995-2005 Mark Adler
  * For conditions of distribution and use, see copyright notice in zlib.h
  */
 
@@ -37,12 +37,12 @@
  */
 
 /* Maximum size of dynamic tree.  The maximum found in a long but non-
-   exhaustive search was 1004 code structures (850 for length/literals
-   and 154 for distances, the latter actually the result of an
+   exhaustive search was 1444 code structures (852 for length/literals
+   and 592 for distances, the latter actually the result of an
    exhaustive search).  The true maximum is not known, but the value
    below is more than safe. */
-#define ENOUGH 1440
-#define MAXD 154
+#define ENOUGH 2048
+#define MAXD 592
 
 /* Type of code to build for inftable() */
 typedef enum {
Index: sys/lib/libz/inftrees.h
===================================================================
RCS file: /home/cvs/openbsd/src/sys/lib/libz/inftrees.h,v
retrieving revision 1.7
diff -u -r1.7 inftrees.h
--- sys/lib/libz/inftrees.h	16 Dec 2003 23:57:48 -0000	1.7
+++ sys/lib/libz/inftrees.h	20 Jul 2005 13:32:24 -0000
@@ -1,6 +1,6 @@
 /*	$OpenBSD: inftrees.h,v 1.7 2003/12/16 23:57:48 millert Exp $	*/
 /* inftrees.h -- header to use inftrees.c
- * Copyright (C) 1995-2003 Mark Adler
+ * Copyright (C) 1995-2005 Mark Adler
  * For conditions of distribution and use, see copyright notice in zlib.h
  */
 
@@ -37,12 +37,12 @@
  */
 
 /* Maximum size of dynamic tree.  The maximum found in a long but non-
-   exhaustive search was 1004 code structures (850 for length/literals
-   and 154 for distances, the latter actually the result of an
+   exhaustive search was 1444 code structures (852 for length/literals
+   and 592 for distances, the latter actually the result of an
    exhaustive search).  The true maximum is not known, but the value
    below is more than safe. */
-#define ENOUGH 1440
-#define MAXD 154
+#define ENOUGH 2048
+#define MAXD 592
 
 /* Type of code to build for inftable() */
 typedef enum {
